### File

`packages/eui/packages/components-next/src/lib/components/eui-dialog/eui-dialog.component.ts`

### Extends

`BaseDirective`

### Implements

`OnInit` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-dialog`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-dialog.component.html`

### Index

###### Properties

- Public bodyComponent
- Public data
- euiDialogBody
- euiDialogFooter
- euiDialogHeader
- Public footerComponent
- Public headerComponent

###### Methods

- Public closeDialog
- Public onClick

###### HostBindings

- class

### Constructor

`constructor(dialogRef: MatDialogRef<any>, data: EuiDialogConfig, euiDynamicComponentService: EuiDynamicComponentService, cd: ChangeDetectorRef)`

Parameters :

Name | Type | Optional
dialogRef | `MatDialogRef<any>` | No
data | `EuiDialogConfig` | No
euiDynamicComponentService | `EuiDynamicComponentService` | No
cd | `ChangeDetectorRef` | No

### HostBindings

class

### Methods

Public closeDialog
`closeDialog()`
Returns : `void`

Public onClick
`onClick(value: boolean)`

Parameters :

Name | Type | Optional
value | `boolean` | No

Returns : `void`

### Properties

Public bodyComponent
Type : `literal type`
Default value : `null`

Public data
Type : `EuiDialogConfig`
Decorators : `@Inject(MAT_DIALOG_DATA)`

euiDialogBody
Type : `ElementRef<HTMLDivElement>`
Decorators : `@ViewChild('euiDialogBody')`

euiDialogFooter
Type : `ElementRef<HTMLDivElement>`
Decorators : `@ViewChild('euiDialogFooter')`

euiDialogHeader
Type : `ElementRef<HTMLDivElement>`
Decorators : `@ViewChild('euiDialogHeader')`

Public footerComponent
Type : `literal type`
Default value : `null`

Public headerComponent
Type : `literal type`
Default value : `null`

# result-matching ""

# No results matching ""